using Autofac;
using e_suite.DependencyInjection;
using RabbitMQ.Client;

namespace e_suite.Messaging.Common;
public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<ConnectionFactory>();
        builder.RegisterType<DatabaseMessageSender>().As<IDatabaseMessageSender>();
        builder.RegisterType<SigmaImportMessageSender>().As<ISigmaImportMessageSender>();
        builder.RegisterType<EFlowSyncMessageSender>().As<IEFlowSyncMessageSender>();
        builder.RegisterType<RabbitMqConnectionFactory>().As<IRabbitMqConnectionFactory>();
        builder.RegisterType<ActivityMessageSender>().As<IActivityMessageSender>();
    }
}